at.chipkarte.client.bkf.soap

## Class WeitereUltraschallDoku

- Object
- - at.chipkarte.client.bkf.soap.WeitereUltraschallDoku

-     public class WeitereUltraschallDoku
      extends Object

  Enthält die Ergebnisdaten der weiteren Ultraschalluntersuchung, zum Aufruf der Funktion createWeitereUltraschallDoku.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeitereUltraschallDoku()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBefundungsZeitstempel()` Datum der Befundung.
    `String` | `getErgebnis()` Ergebnis Ultraschall (US-SCORE).
    `String` | `getGroesseLinks()` Größe der Läsion links in mm.
    `String` | `getGroesseRechts()` Größe der Läsion rechts in mm.
    `String` | `getInfoDatum()` Datum, ab dem der Befund versand- / abholbereit ist.
    `Long` | `getKonsultationsID()` Eindeutiger Bezeichner einer Konsultation.
    `String` | `getLeistungsdatum()` Datum der Leistung.
    `String` | `getPatientID()` ID der Patientin in der Vertragspartnersoftware.
    `String` | `getSvNummer()` Sozialversicherungsnummer der Patientin.
    `String` | `getVersionsnummer()` Version der Dokumentation.
    `String` | `getZustimmungFeedback()` Zustimmung zu Feedbackbericht.
    `void` | `setBefundungsZeitstempel(String befundungsZeitstempel)`
    `void` | `setErgebnis(String ergebnis)`
    `void` | `setGroesseLinks(String groesseLinks)`
    `void` | `setGroesseRechts(String groesseRechts)`
    `void` | `setInfoDatum(String infoDatum)`
    `void` | `setKonsultationsID(Long konsultationsID)`
    `void` | `setLeistungsdatum(String leistungsdatum)`
    `void` | `setPatientID(String patientID)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setVersionsnummer(String versionsnummer)`
    `void` | `setZustimmungFeedback(String zustimmungFeedback)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WeitereUltraschallDoku

          public WeitereUltraschallDoku()

  - ### Method Detail

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer der Patientin.
      Angabe: Bedingt. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` (Eingangsparameter der Funktion `createWeitereUltraschallDoku()` angegeben werden.
      Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
      Format: 10-stellig
      Returns:
        SvNummer

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### getKonsultationsID

          public Long getKonsultationsID()

      Eindeutiger Bezeichner einer Konsultation.
      Angabe: Bedingt. Es muss entweder eine Konsultation oder ein Leistungsdatum angegeben werden.
      Mittels der Funktion `IBkfService.searchBkfKonsultationData(String, String, String, String)` können die relevanten Konsultation der Patientin zum Benutzer (Behandlungsdatum, Behandlungsfall-Code) abgefragt werden.
      Format: maximal 19-stellig
      ParameterID: 9004.
      Returns:
        KonsultationsID

    - #### setKonsultationsID

          public void setKonsultationsID(Long konsultationsID)

    - #### getLeistungsdatum

          public String getLeistungsdatum()

      Datum der Leistung.
      Angabe: Bedingt. Es muss entweder eine Konsultation oder ein Leistungsdatum angegeben werden.
      Darf nicht in der Zukunft liegen.
      Bei Angabe einer Konsultation wird automatisch das Behandlungsdatum der Konsultation als Leistungsdatum verwendet.
      Format: TT.MM.JJJJ
      ParameterID: 9006.
      Returns:
        Leistungsdatum

    - #### setLeistungsdatum

          public void setLeistungsdatum(String leistungsdatum)

    - #### getVersionsnummer

          public String getVersionsnummer()

      Version der Dokumentation.
      Angabe: Muss.
      Mögliche Werte siehe `DokumentationVersionTypConstant`.
      ParameterID: 9003.
      Returns:
        Versionsnummer

    - #### setVersionsnummer

          public void setVersionsnummer(String versionsnummer)

    - #### getBefundungsZeitstempel

          public String getBefundungsZeitstempel()

      Datum der Befundung.
      Angabe: Muss.
      Darf nicht in der Zukunft liegen. Muss größer oder gleich dem Leistungsdatum bzw. dem Behandlungsdatum der gewählten Konsultation sein.
      Format: TT.MM.JJJJ hh:mm:ss
      ParameterID: 1301.
      Returns:
        BefundungsZeitstempel

    - #### setBefundungsZeitstempel

          public void setBefundungsZeitstempel(String befundungsZeitstempel)

    - #### getErgebnis

          public String getErgebnis()

      Ergebnis Ultraschall (US-SCORE).
      Angabe: Muss.
      Mögliche Werte siehe `ErgebnisUltraschallTypConstant`.
      ParameterID: 1302.
      Returns:
        Ergebnis

    - #### setErgebnis

          public void setErgebnis(String ergebnis)

    - #### getGroesseLinks

          public String getGroesseLinks()

      Größe der Läsion links in mm.
      Angabe: Bedingt. Bei Befüllung von Ergebnis mit einem Wert >= 4 (4, 5 oder 6): GroesseRechts und/oder GroesseLinks muss angegeben werden. Bei Befüllung von Ergebnis mit einem Wert < 4 (0, 1, 2, oder 3): Weder GroesseRechts noch GroesseLinks darf angegeben werden.
      Format: numerisch, maximal 3-stellig, Wertebereich 0-200. Hierbei steht der Wert '0' für 'nicht bestimmbar'.
      ParameterID: 1304.
      Returns:
        GroesseLinks

    - #### setGroesseLinks

          public void setGroesseLinks(String groesseLinks)

    - #### getGroesseRechts

          public String getGroesseRechts()

      Größe der Läsion rechts in mm.
      Angabe: Bedingt. Bei Befüllung von Ergebnis mit einem Wert >= 4 (4, 5 oder 6): GroesseRechts und/oder GroesseLinks muss angegeben werden. Bei Befüllung von Ergebnis mit einem Wert < 4 (0, 1, 2, oder 3): Weder GroesseRechts noch GroesseLinks darf angegeben werden.
      Format: numerisch, maximal 3-stellig, Wertebereich 0-200. Hierbei steht der Wert '0' für 'nicht bestimmbar'.
      ParameterID: 1305.
      Returns:
        GroesseRechts

    - #### setGroesseRechts

          public void setGroesseRechts(String groesseRechts)

    - #### getInfoDatum

          public String getInfoDatum()

      Datum, ab dem der Befund versand- / abholbereit ist.
      Angabe: Muss.
      Muss größer oder gleich dem Datum in BefundungsZeitstempel und kleiner oder gleich dem aktuellen Datum + 1 Monat sein.
      Format: TT.MM.JJJJ
      ParameterID: 1306.
      Returns:
        InfoDatum

    - #### setInfoDatum

          public void setInfoDatum(String infoDatum)

    - #### getPatientID

          public String getPatientID()

      ID der Patientin in der Vertragspartnersoftware.
      Angabe: Kann.
      Wird die PatientID vom Radiologen nicht angegeben, können die probandinnenbezogenen Daten im Feedbackbericht nicht zugeordnet werden.
      Format: maximal 64-stellig.
      ParameterID: 1307.
      Returns:
        PatientID

    - #### setPatientID

          public void setPatientID(String patientID)

    - #### getZustimmungFeedback

          public String getZustimmungFeedback()

      Zustimmung zu Feedbackbericht.
      Angabe: Muss.
      Mögliche Werte siehe `JaNeinTypConstant`.
      ParameterID: 0808
      Returns:
        ZustimmungFeedback

    - #### setZustimmungFeedback

          public void setZustimmungFeedback(String zustimmungFeedback)